Appearance
下载视频(OpenAI 风格)
使用 GET /v1/videos/{id}/content 下载成片(支持断点重传)。
下载接口会将上游真实地址进行代理,返回标准的视频文件流。请在任务 completed 后再调用。
认证
Authorization: Bearer
bash
export BASE_URL="https://aiapi.fhddos.com"
export TOKEN="oh-xxxxxxxxxxxxxxxx"
export VIDEO_ID="video_xxx" # 已完成的任务 idcURL 示例
bash
curl -L "https://aiapi.fhddos.com/v1/videos/$VIDEO_ID/content" \
-H "Authorization: Bearer $TOKEN" \
--output out.mp4TIP
如果你在浏览器中请求该地址,将直接触发下载(或在内嵌播放器中播放)。
OpenAPI
yaml
openapi: 3.0.0
info:
title: Gemini Veo Video API
description: Gemini Veo 视频生成 API(OpenAI 风格)
version: 1.0.0
servers:
- url: https://aiapi.fhddos.com
description: Fhddos 生产环境
security:
- BearerAuth: []
paths:
/v1/videos/{video_id}/content:
get:
tags:
- Veo Videos
summary: 下载视频
description: 下载生成的视频文件
operationId: downloadVeoVideo
parameters:
- name: video_id
in: path
required: true
description: 视频任务 ID
schema:
type: string
example: video_abc123
responses:
'200':
description: 视频文件
content:
video/mp4:
schema:
type: string
format: binary
'400':
description: 视频未就绪
content:
application/json:
schema:
$ref: '#/components/schemas/Error'
'404':
description: 任务不存在
content:
application/json:
schema:
$ref: '#/components/schemas/Error'
components:
schemas:
Error:
type: object
properties:
error:
type: object
properties:
message:
type: string
type:
type: string
code:
type: string
securitySchemes:
BearerAuth:
type: http
scheme: bearer
description: API Key